unsigned long int timestamp;
int sensitivity=350;


void setup()
{
  // Set the pin modes
  pinMode(P1_1, OUTPUT); 
  pinMode(P1_2, OUTPUT); 
  pinMode(P1_3, INPUT_PULLUP); 
  digitalWrite(P1_1, LOW);
  analogWrite(P1_2, 150);
}

void loop()
{
  // Detect the first clap sound
  if (analogRead(A0) > sensitivity) {
    
    delay(100);
    timestamp = millis();

    do {
      // Detect the second clap sound
      if (analogRead(A0) > sensitivity) {
        digitalWrite(P1_1, !digitalRead(P1_1));
        delay(100);
        break; // Second clap is detected, break the while loop
      }

    } 
    
    //Discard the first clap if the second clap is not received in 500ms
    while(millis() < (timestamp + 500)); 
    
  }
  
  // If the sensitivity buton is pressed, change the sensitivity level
  if (!digitalRead(P1_3)) {

    if (sensitivity == 400) {
      sensitivity = 350; 
      analogWrite(P1_2, 150);
    }
    else if (sensitivity == 350) {
      sensitivity = 300; 
      analogWrite(P1_2, 250);
    }
    else if (sensitivity == 300) {
      sensitivity = 400; 
      analogWrite(P1_2, 50);
    }
    delay(500);
  } 
}




